Distributed Virtual Switch Manager DVS Manager Export Entity Task

Distributed Virtual Switch Manager DVS Manager Export Entity Task
Export the configuration for entities specified in the <code>selectionSet</code> parameter.

Export the configuration for entities specified in the selectionSet parameter.

You can use this method only for a VmwareDistributedVirtualSwitch and its associated DistributedVirtualPortgroup objects.

Use the DVSManagerImportEntity_Task method to restore the entity to the state represented by the exported configuration. You can also use the exported configuration to create a new switch or portgroup.

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/DistributedVirtualSwitchManager/{moId}/DVSManagerExportEntity_Task
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case DistributedVirtualSwitchManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
DVSManagerExportEntityRequestType of type(s) application/json
Required

Show optional properties

{
    "selectionSet": [
        {}
    ]
}
{
    "selectionSet": [
        {
            "_typeName": "string"
        }
    ]
}
array of object
selectionSet
Required

The selection criteria for a set of entities to export the configuration.

Authentication
This operation uses the following authentication methods.
Responses
200

This method returns a Task object with which to monitor the operation. After successful completion, the Task.info.result property contains the EntityBackupConfig object.

Returns MoRefTask of type(s) application/json
This response body class contains all of the following: MoRefExtensibleManagedObject
{
    "_typeName": "string",
    "type": "string",
    "value": "string"
}

500

NotFound: If entity in selectionSet doesn't exist.

BackupBlobWriteFailure: if failed to create backup config blob.

Returns VimFault of type(s) application/json
This response body class contains all of the following: MethodFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"selectionSet":["object"]}' https://{api_host}/sdk/vim25/{release}/DistributedVirtualSwitchManager/{moId}/DVSManagerExportEntity_Task